Name:            backintime
Version:         1.0.8
Release:         4%{?dist}
Summary:         Simple backup tool

Group:           Applications/Archiving
License:         GPLv2+
URL:             http://backintime.le-web.org/
Source0:         http://backintime.le-web.org/download/%{name}/%{name}-%{version}_src.tar.gz
BuildArch:       noarch

BuildRequires:   desktop-file-utils
BuildRequires:   gettext


%description
Back In Time is a simple backup system for Linux inspired by the "flyback"
project and "TimeVault". The backup is done by taking snapshots of a specified
set of directories.


%package         common
Summary:         Common files for %{name}, a simple backup tool
Group:           Applications/Archiving
Requires:        python
Requires:        rsync
Requires:        cronie


%description     common
Back In Time is a simple backup system for Linux inspired by the "flyback"
project and "TimeVault". The backup is done by taking snapshots of a specified
set of directories.

This package contains non-GUI files used by different GUI frontends.


%package         gnome
Summary:         GNOME frontend for %{name}, a simple backup tool
Group:           Applications/Archiving
Requires:        %{name}-common = %{version}-%{release}
Requires:        pygtk2-libglade
Requires:        gnome-python2
Requires:        meld
Requires:        usermode-gtk
Requires:        notify-python
Requires:        gnome-python2-gnome


%description     gnome
Back In Time is a simple backup system for Linux inspired by the "flyback"
project and "TimeVault". The backup is done by taking snapshots of a specified
set of directories.

This package contains the GNOME frontend.

%if 0%{?_with_kde}
%package         kde
Summary:         KDE frontend for %{name}, a simple backup tool
Group:           Applications/Archiving
Requires:        %{name}-common = %{version}-%{release}
Requires:        xorg-x11-utils
Requires:        PyKDE4
Requires:        usermode-gtk
Requires:        kdesdk

%description     kde
Back In Time is a simple backup system for Linux inspired by the "flyback"
project and "TimeVault". The backup is done by taking snapshots of a specified
set of directories.

This package contains the KDE frontend.
%endif

%prep
%setup -q

# Upstream forgot to bump the displayed version number in 1.0.8 release;
# this causes user confusion so we fix it
sed -i s/1.0.7/1.0.8/ common/config.py

sed -i 's|Exec=gksu backintime-gnome|Exec=backintime-gnome-root|g' \
       gnome/%{name}-gnome-root.desktop

%if 0%{?_with_kde}
cp kde4/%{name}-kde4.desktop kde4/%{name}-kde4-root.desktop

sed -i 's|Exec=backintime-kde4|Exec=backintime-kde4-root|g' \
       kde4/%{name}-kde4-root.desktop
%endif

%build
cd common
%configure
make %{?_smp_mflags}

cd ../gnome
%configure --no-check
make %{?_smp_mflags}

%if 0%{?_with_kde}
cd ../kde4
%configure --no-check
make %{?_smp_mflags}
%endif

cd ..

%install
rm -rf %{buildroot}

cd common
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"

cd ../gnome
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"

%if 0%{?_with_kde}
cd ../kde4
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"
%endif

cd ..

desktop-file-install \
        --dir=%{buildroot}/%{_datadir}/applications \
        %{buildroot}/%{_datadir}/applications/%{name}-gnome.desktop

desktop-file-install \
        --dir=%{buildroot}/%{_datadir}/applications/ \
        --add-category="Settings;" \
        %{buildroot}/%{_datadir}/applications/%{name}-gnome-root.desktop

%if 0%{?_with_kde}
desktop-file-install \
        --dir=%{buildroot}/%{_datadir}/applications/kde4 \
        %{buildroot}/%{_datadir}/applications/kde4/%{name}-kde4.desktop

desktop-file-install \
        --dir=%{buildroot}/%{_datadir}/applications/kde4 \
        --add-category="Settings;" \
        %{buildroot}/%{_datadir}/applications/kde4/%{name}-kde4-root.desktop
%endif

mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{name}-gnome \
      %{buildroot}%{_sbindir}/%{name}-gnome-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-gnome-root

%if 0%{?_with_kde}
cp -p %{buildroot}%{_bindir}/%{name}-kde4 \
      %{buildroot}%{_sbindir}/%{name}-kde4-root
      
ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-kde4-root
%endif

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-gnome-root
USER=root
PROGRAM=%{_sbindir}/%{name}-gnome-root
SESSION=true
EOF

%if 0%{?_with_kde}
cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-kde4-root
USER=root
PROGRAM=%{_sbindir}/%{name}-kde4-root
SESSION=true
EOF
%endif

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-gnome-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

%if 0%{?_with_kde}
cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-kde4-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF
%endif

%find_lang %{name}


%files common -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/plugins/
%{_mandir}/man1/%{name}*
%doc %{_docdir}/%{name}/
%doc %{_docdir}/%{name}-common/


%files gnome
%defattr(-,root,root,-)
%{_bindir}/%{name}-gnome
%{_bindir}/%{name}-gnome-root
%{_sbindir}/%{name}-gnome-root
%{_datadir}/applications/%{name}-gnome.desktop
%{_datadir}/applications/%{name}-gnome-root.desktop
%{_datadir}/%{name}/gnome/
%doc %{_datadir}/gnome/help/%{name}/
%doc %{_docdir}/%{name}-gnome/
%{_datadir}/omf/%{name}/
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-gnome-root
%config %{_sysconfdir}/security/console.apps/%{name}-gnome-root

%if 0%{?_with_kde}
%files kde
%defattr(-,root,root,-)
%{_bindir}/%{name}-kde4
%{_bindir}/%{name}-kde4-root
%{_sbindir}/%{name}-kde4-root
%{_datadir}/applications/kde4/%{name}-kde4.desktop
%{_datadir}/applications/kde4/%{name}-kde4-root.desktop
%{_datadir}/backintime/kde4/
%doc %{_datadir}/doc/kde4/HTML/en/%{name}/
%doc %{_docdir}/%{name}-kde4/
%config(noreplace) %{_sysconfdir}/pam.d/%{name}-kde4-root
%config %{_sysconfdir}/security/console.apps/%{name}-kde4-root
%endif

%changelog
* Sat Jul 21 2012 Tim Jackson <rpm@timj.co.uk> - 1.0.8-4
- Initial build for EL6
- Make KDE build conditional
- Fix the incorrect displayed version number when running the program

